"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'bwtorrents',
    name: 'BwTorrents',
    description: 'BwTorrents is a Private Torrent Tracker for BollyWood MOVIES / TV / GENERAL',
    language: 'en-US',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://bwtorrents.tv/', 'https://bwtorrents.fun/', 'https://bwtorrents.xyz/'],
    caps: {
        categorymappings: [
            { id: '113', cat: 'Movies', desc: 'Bollywood-Pre-Release' },
            {
                id: '114',
                cat: 'Movies/UHD',
                desc: 'Bollywood-4K Ultra HD / Upscaled',
            },
            {
                id: '115',
                cat: 'Movies/BluRay',
                desc: 'Bollywood-Untouched BluRay',
            },
            {
                id: '116',
                cat: 'Movies/HD',
                desc: 'Bollywood-1080p BluRay Rips',
            },
            { id: '117', cat: 'Movies/HD', desc: 'Bollywood-720p BluRay Rips' },
            { id: '118', cat: 'Movies', desc: 'Bollywood-Remuxes BluRay' },
            {
                id: '119',
                cat: 'Movies/WEBDL',
                desc: 'Bollywood-Untouched WEB-DLs',
            },
            {
                id: '120',
                cat: 'Movies/WEBDL',
                desc: 'Bollywood-1080p WEB-Rips',
            },
            { id: '188', cat: 'Movies/WEBDL', desc: 'Bollywood-720p WEB-Rips' },
            { id: '121', cat: 'Movies/DVD', desc: 'Bollywood-Untouched DVDs' },
            { id: '189', cat: 'Movies/DVD', desc: 'Bollywood-Encoded DVDs' },
            {
                id: '122',
                cat: 'Movies/WEBDL',
                desc: 'Bollywood-DVDRips 1080p/720p',
            },
            {
                id: '123',
                cat: 'Movies/WEBDL',
                desc: 'Bollywood-SDRips WEB/DVD',
            },
            { id: '124', cat: 'Movies/3D', desc: 'Bollywood-3D-Movies' },
            { id: '190', cat: 'Movies', desc: 'Bollywood-Movies packs' },
            { id: '125', cat: 'Movies/WEBDL', desc: 'Bollywood-WEB Originals' },
            {
                id: '126',
                cat: 'Movies/UHD',
                desc: 'Hollywood-4K Ultra HD / Upscaled',
            },
            {
                id: '127',
                cat: 'Movies/BluRay',
                desc: 'Hollywood-Untouched BluRay',
            },
            {
                id: '128',
                cat: 'Movies/HD',
                desc: 'Hollywood-1080p BluRay Rips',
            },
            { id: '129', cat: 'Movies/HD', desc: 'Hollywood-720p BluRay Rips' },
            { id: '130', cat: 'Movies', desc: 'Hollywood-BluRay Remuxes' },
            {
                id: '131',
                cat: 'Movies/WEBDL',
                desc: 'Hollywood-Untouched WEB-DLs',
            },
            { id: '132', cat: 'Movies', desc: 'Hollywood-WEB-Rips' },
            { id: '133', cat: 'Movies/DVD', desc: 'Hollywood-Untouched DVDs' },
            { id: '191', cat: 'Movies/WEBDL', desc: 'Hollywood-Encoded DVDs' },
            {
                id: '134',
                cat: 'Movies/WEBDL',
                desc: 'Hollywood-DVDRips 1080p/720p',
            },
            { id: '193', cat: 'Movies/SD', desc: 'Hollywood-SDRips - WEB/DVD' },
            { id: '135', cat: 'Movies/3D', desc: 'Hollywood-3D-Movies' },
            { id: '136', cat: 'Movies', desc: 'Hollywood-Pre-Release' },
            { id: '194', cat: 'Movies', desc: 'Hollywood-Movies packs' },
            { id: '137', cat: 'Movies', desc: 'Malayalam-Movies' },
            { id: '138', cat: 'Movies', desc: 'Telugu-Movies' },
            { id: '139', cat: 'Movies', desc: 'Tamil-Movies' },
            { id: '140', cat: 'Movies', desc: 'Punjabi-Movies' },
            { id: '141', cat: 'Movies', desc: 'Kannada-Movies' },
            { id: '142', cat: 'Movies', desc: 'Lollywood-Movies' },
            { id: '143', cat: 'Movies', desc: 'Bhoipuri-Movies' },
            { id: '144', cat: 'Movies', desc: 'Marathi-Movies' },
            { id: '145', cat: 'Movies', desc: 'Bangla-Movies' },
            { id: '185', cat: 'Movies', desc: 'Gujarati-Movies' },
            { id: '184', cat: 'Movies', desc: 'Bollywood-South Hindi Dubbed' },
            { id: '183', cat: 'Movies', desc: 'Hindi Dubbed Movies' },
            { id: '197', cat: 'Movies', desc: 'Turkish Hindi Dubbed' },
            { id: '198', cat: 'Movies', desc: 'TV-MTV' },
            { id: '182', cat: 'Movies', desc: 'Other Movies' },
            { id: '146', cat: 'TV', desc: 'TV-Colors' },
            { id: '147', cat: 'TV', desc: 'TV-TV' },
            { id: '148', cat: 'TV', desc: 'TV-Life OK' },
            { id: '149', cat: 'TV', desc: 'TV-Pakistan Drams' },
            { id: '150', cat: 'TV', desc: 'TV-Sab TV' },
            { id: '151', cat: 'TV', desc: 'TV-Sony' },
            { id: '152', cat: 'TV', desc: 'TV-Star Bharat' },
            { id: '153', cat: 'TV', desc: 'TV-Star Plus' },
            { id: '154', cat: 'TV', desc: 'TV-Zee TV' },
            { id: '155', cat: 'TV/Sport', desc: 'TV-Sports' },
            { id: '156', cat: 'TV/Documentary', desc: 'TV-Documentary' },
            { id: '157', cat: 'TV', desc: 'TV-Hollywood' },
            { id: '158', cat: 'TV', desc: 'TV-Others' },
            { id: '195', cat: 'TV', desc: 'TV-Packs' },
            { id: '159', cat: 'TV', desc: 'Religion &Spirituality ' },
            { id: '160', cat: 'Audio', desc: 'Music-Classical' },
            { id: '161', cat: 'Audio/Lossless', desc: 'Music-Flacs' },
            { id: '162', cat: 'Audio', desc: 'Music-Ghazals' },
            { id: '163', cat: 'Audio', desc: 'Music-Hindi OSTs' },
            { id: '164', cat: 'Audio', desc: 'Music-Instrumental' },
            { id: '165', cat: 'Audio', desc: 'Music-Kannada' },
            { id: '166', cat: 'Audio', desc: 'Music-Lollywood' },
            { id: '167', cat: 'Audio', desc: 'Music-Malayalam' },
            { id: '168', cat: 'Audio', desc: 'Music-Marathi' },
            { id: '169', cat: 'Audio/Video', desc: 'Music-Videos' },
            { id: '170', cat: 'Audio', desc: 'Music-Pop' },
            { id: '171', cat: 'Audio', desc: 'Music-Punjabi' },
            { id: '172', cat: 'Audio', desc: 'Music-Remix' },
            { id: '173', cat: 'Audio', desc: 'Music-Tamil' },
            { id: '174', cat: 'Audio', desc: 'Music-Telugu' },
            { id: '196', cat: 'Audio', desc: 'Music-Packs' },
            { id: '175', cat: 'Books/Ebook', desc: 'EBooks' },
            { id: '176', cat: 'PC/Games', desc: 'Games PC' },
            { id: '177', cat: 'Console', desc: 'Games Console' },
            { id: '178', cat: 'TV/Anime', desc: 'Anime' },
            { id: '179', cat: 'PC', desc: 'Appz' },
            { id: '180', cat: 'PC/Phone-Other', desc: 'Mobile Stuff' },
            { id: '181', cat: 'Other', desc: 'Pics/Wallpapers' },
            { id: '187', cat: 'XXX', desc: 'Adult XXX 18+' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Search freeleech only',
            default: false,
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'index.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            incldead: '{{ if .Config.freeleech }}3{{ else }}1{{ end }}',
            blah: 0,
        },
        rows: {
            selector: 'table[width="1200"] > tbody > tr:has(a[href^="download.php/"])',
        },
        fields: {
            category: {
                selector: 'a[href^="index.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="] b' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            files: { selector: 'td:nth-child(3)' },
            date: {
                selector: 'td:nth-child(5)',
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: '02-01-200615:04:05 -07:00' },
                ],
            },
            size: { selector: 'td:nth-child(6)' },
            download: {
                selector: 'a[href^="download.php/"]',
                attribute: 'href',
            },
            seeders: { selector: 'td:nth-child(8)' },
            leechers: { selector: 'td:nth-child(9)' },
            grabs: { selector: 'td:nth-child(9)' },
            downloadvolumefactor: {
                case: { 'font:contains("FreeLeech")': 0, '*': 1 },
            },
            uploadvolumefactor: {
                case: { 'img[src="pic/double_upload.png"]': 2, '*': 1 },
            },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
