"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'pier720',
    name: '720pier',
    description: '720pier is a RUSSIAN Private Torrent Tracker for HD SPORTS',
    language: 'ru-RU',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://720pier.ru/'],
    legacylinks: ['http://720pier.ru/'],
    caps: {
        categorymappings: [
            { id: '30', cat: 'TV/Sport', desc: 'Sports' },
            { id: '32', cat: 'TV/Sport', desc: 'Basketball' },
            { id: '34', cat: 'TV/Sport', desc: 'Basketball - NBA' },
            { id: '87', cat: 'TV/Sport', desc: 'Basketball - NBA Playoffs' },
            {
                id: '106',
                cat: 'TV/Sport',
                desc: 'Basketball - NBA Playoffs - 2019',
            },
            {
                id: '103',
                cat: 'TV/Sport',
                desc: 'Basketball - NBA Playoffs - 2018',
            },
            {
                id: '95',
                cat: 'TV/Sport',
                desc: 'Basketball - NBA Playoffs - 2017',
            },
            {
                id: '81',
                cat: 'TV/Sport',
                desc: 'Basketball - NBA Playoffs - 2016',
            },
            {
                id: '58',
                cat: 'TV/Sport',
                desc: 'Basketball - NBA Classic Games',
            },
            { id: '105', cat: 'TV/Sport', desc: 'Basketball - NBA The Finals' },
            { id: '52', cat: 'TV/Sport', desc: 'Basketball - NCAA' },
            { id: '82', cat: 'TV/Sport', desc: 'Basketball - WNBA' },
            {
                id: '36',
                cat: 'TV/Sport',
                desc: 'Basketball - European basketball',
            },
            {
                id: '37',
                cat: 'TV/Sport',
                desc: 'Basketball - World Championship',
            },
            {
                id: '51',
                cat: 'TV/Sport',
                desc: 'Basketball - Reviews and highlights',
            },
            { id: '41', cat: 'TV/Sport', desc: 'Basketball - Other' },
            { id: '38', cat: 'TV/Sport', desc: 'Basketball - Olympic Games' },
            { id: '42', cat: 'TV/Sport', desc: 'Football' },
            { id: '43', cat: 'TV/Sport', desc: 'Football - NFL' },
            { id: '66', cat: 'TV/Sport', desc: 'Football - Super Bowls' },
            { id: '53', cat: 'TV/Sport', desc: 'Football - NCAA' },
            { id: '104', cat: 'TV/Sport', desc: 'Football - XFL' },
            { id: '99', cat: 'TV/Sport', desc: 'Football - CFL' },
            { id: '101', cat: 'TV/Sport', desc: 'Football - AAF' },
            {
                id: '54',
                cat: 'TV/Sport',
                desc: 'Football - Reviews and highlights',
            },
            { id: '97', cat: 'TV/Sport', desc: 'Football - Documentaries' },
            { id: '44', cat: 'TV/Sport', desc: 'Football - Other' },
            { id: '46', cat: 'TV/Sport', desc: 'Hockey' },
            { id: '48', cat: 'TV/Sport', desc: 'Hockey - NHL' },
            { id: '88', cat: 'TV/Sport', desc: 'Hockey - NHL Playoffs' },
            {
                id: '102',
                cat: 'TV/Sport',
                desc: 'Hockey - NHL Playoffs 2018-2019',
            },
            { id: '93', cat: 'TV/Sport', desc: 'Hockey - NHL Playoffs - 2017' },
            { id: '80', cat: 'TV/Sport', desc: 'Hockey - NHL Playoffs - 2016' },
            { id: '65', cat: 'TV/Sport', desc: 'Hockey - Stanley Cup Finals' },
            { id: '92', cat: 'TV/Sport', desc: 'Hockey - NCAA' },
            { id: '49', cat: 'TV/Sport', desc: 'Hockey - World Championship' },
            { id: '68', cat: 'TV/Sport', desc: 'Hockey - Documentaries' },
            {
                id: '64',
                cat: 'TV/Sport',
                desc: 'Hockey - Reviews and highlights',
            },
            { id: '50', cat: 'TV/Sport', desc: 'Hockey - Other' },
            { id: '55', cat: 'TV/Sport', desc: 'Baseball' },
            { id: '71', cat: 'TV/Sport', desc: 'Baseball - MLB' },
            { id: '72', cat: 'TV/Sport', desc: 'Baseball - Other' },
            {
                id: '85',
                cat: 'TV/Sport',
                desc: 'Baseball - Reviews, highlights, documentaries',
            },
            { id: '45', cat: 'TV/Sport', desc: 'Other sports' },
            { id: '79', cat: 'TV/Sport', desc: 'Other sports - Rugby' },
            { id: '78', cat: 'TV/Sport', desc: 'Other sports - Lacrosse' },
            { id: '77', cat: 'TV/Sport', desc: 'Other sports - Cricket' },
            { id: '76', cat: 'TV/Sport', desc: 'Other sports - Volleyball' },
            { id: '75', cat: 'TV/Sport', desc: 'Other sports - Tennis' },
            { id: '74', cat: 'TV/Sport', desc: 'Other sports - Fighting' },
            { id: '94', cat: 'TV/Sport', desc: 'Other sports - Misc' },
            { id: '100', cat: 'TV/Sport', desc: 'Soccer' },
            { id: '98', cat: 'TV/Sport', desc: 'Soccer - FIFA World Cup' },
            { id: '56', cat: 'TV/Sport', desc: 'Sports on tv' },
            { id: '70', cat: 'TV/Sport', desc: 'Sports on tv ESPN Films' },
        ],
        modes: { search: ['q'], 'tv-search': ['q'] },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 't',
            options: { t: 'created', ts: 'seeders', sz: 'size', i: 'title' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'd',
            options: { d: 'desc', a: 'asc' },
        },
    ],
    login: {
        path: 'ucp.php?mode=login',
        method: 'form',
        form: 'form#login',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            autologin: 'on',
            viewonline: 'on',
        },
        error: [{ selector: 'fieldset:has(div.error)' }],
        test: {
            path: '/',
            selector: ':has(a[href^="./ucp.php?mode=logout&"])',
        },
    },
    download: {
        selector: 'a[href*="/download/torrent?id="]',
        attribute: 'href',
    },
    search: {
        paths: [{ path: 'search.php' }],
        inputs: {
            keywords: '{{ if .Keywords }}{{ .Keywords }}{{ else }}{{ .Today.Year }}{{ end }}',
            terms: 'all',
            author: '',
            sc: 1,
            sf: 'firstpost',
            sr: 'topics',
            sk: '{{ .Config.sort }}',
            sd: '{{ .Config.type }}',
            st: 0,
            ch: 300,
            t: 0,
            submit: 'Search',
        },
        rows: { selector: 'li.row', filters: [{ name: 'andmatch' }] },
        fields: {
            title: { selector: 'a.topictitle' },
            details: { selector: 'a.topictitle', attribute: 'href' },
            category: {
                selector: 'a[href^="./viewforum.php?f="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'f' }],
            },
            download: { selector: 'a.topictitle', attribute: 'href' },
            size: { selector: 'div.list-inner div[style="float:right;"]' },
            seeders: { selector: 'dd.posts span.my_tt.seed', optional: true },
            leechers: { selector: 'dd.posts span.my_tt.leech', optional: true },
            grabs: { selector: 'dd.views span.my_tt.complet' },
            date: {
                selector: 'div.left-box time',
                filters: [{ name: 'replace', args: ['T', ' '] }],
            },
            downloadvolumefactor: { text: 1 },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 0.8 },
            minimumseedtime: { text: 216000 },
        },
    },
    source: 'jackett',
};
